package ch.sws.tasaf.bo.vo;

import java.io.Serializable;

/**
 * TravelTransportVO: Value-Object fr die Tabelle Person.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class TravelTransportVO implements Serializable
{
  private int travelId;
  private int transportId;

  /**
   * Standard-Konstruktor
   */
  public TravelTransportVO()
  {
    travelId = 0;
    travelId = 0;
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Gibt den Wert zurck
   * @return int travelId
   */
  public int getTravelId()
  {
    return travelId;
  }

  /**
   * Gibt den Wert zurck
   * @return int transportId
   */
  public int getTransportId()
  {
    return transportId;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Setzt den bergebenen Wert
   * @param travelId int
   */
  public void setTravelId( int travelId )
  {
    this.travelId = travelId;
  }

  /**
   * Setzt den bergebenen Wert
   * @param transportId int
   */
  public void setTransportId( int transportId )
  {
    this.transportId = transportId;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buf = new StringBuffer();
    buf.append( " travelId    = <" + this.travelId + "> \n" );
    buf.append( " transportId = <" + this.transportId + "> \n" );
    return buf.toString();
  }
}
