package ch.sws.tasaf.client;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

/**
 * Die Klasse TeilnehmerForm ist die Datenhaltung fr die teilnehmer.jsp
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class TeilnehmerForm extends ActionForm
{
  private int index;
  private String cbxLand;
  private String txfName;
  private String txfOrt;
  private String txfVorname;
  private int[] selectedOptions = null;

  /*******************************************************************************************************************
     G E T T E R -  U N D  S E T T E R - M E T H O D E N  D E R  A C T I O N F O R M
   *******************************************************************************************************************/

  public int getIndex()
  {
    return index;
  }

  public void setIndex( int index )
  {
    this.index = index;
  }

  public int[] getSelectedOptions()
  {
    return selectedOptions;
  }

  public void setSelectedOptions( int[] selectedOptions )
  {
    this.selectedOptions = selectedOptions;
  }

  public String getCbxLand()
  {
    return cbxLand;
  }

  public void setCbxLand( String cbxLand )
  {
    this.cbxLand = cbxLand;
  }

  public String getTxfName()
  {
    return txfName;
  }

  public void setTxfName( String txfName )
  {
    this.txfName = txfName;
  }

  public String getTxfOrt()
  {
    return txfOrt;
  }

  public void setTxfOrt( String txfOrt )
  {
    this.txfOrt = txfOrt;
  }

  public String getTxfVorname()
  {
    return txfVorname;
  }

  public void setTxfVorname( String txfVorname )
  {
    this.txfVorname = txfVorname;
  }

  /**
   * Diese Methode prft die eingegeben Daten auf der JSP und fgt diese im Fehlerfall in die
   * ActionErrors.
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   * @return ActionErrors
   */
  public ActionErrors validate( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
    return null;
  }

  /**
   * Diese Methode setzt die Eingabedaten auf der JSP zurck in den Defaultwert
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   */
  public void reset( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
    selectedOptions = null;
    index = 0;
    cbxLand = null;
    txfName = null;
    txfOrt = null;
    txfVorname = null;
  }
}
