package ch.sws.tasaf.client;

import org.apache.struts.action.ActionForm;

/**
 * Die Klasse HotelForm ist die Datenhaltung fr die destination.jsp
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class HotelForm extends ActionForm
{
  private int idHotel = 0;
  private int idDestination = 0;
  private String name = null;
  private String description = null;
  private int category = 0;
  private float priceDoubleRoom = 0.0f;
  private float priceSingleRoom = 0.0f;

  /*******************************************************************************************************************
   G E T T E R -  U N D  S E T T E R - M E T H O D E N  D E R  A C T I O N F O R M
   *******************************************************************************************************************/

  public void setIdHotel( int idHotel )
  {
    this.idHotel = idHotel;
  }

  public void setPriceSingleRoom( float priceSingleRoom )
  {
    this.priceSingleRoom = priceSingleRoom;
  }

  public void setName( String name )
  {
    this.name = name;
  }

  public void setDescription( String description )
  {
    this.description = description;
  }

  public void setCategory( int category )
  {
    this.category = category;
  }

  public void setPriceDoubleRoom( float priceDoubleRoom )
  {
    this.priceDoubleRoom = priceDoubleRoom;
  }

  public void setIdDestination( int idDestination )
  {
    this.idDestination = idDestination;
  }

  public int getIdHotel()
  {
    return idHotel;
  }

  public float getPriceSingleRoom()
  {
    return priceSingleRoom;
  }

  public String getName()
  {
    return name;
  }

  public String getDescription()
  {
    return description;
  }

  public int getCategory()
  {
    return category;
  }

  public float getPriceDoubleRoom()
  {
    return priceDoubleRoom;
  }

  public int getIdDestination()
  {
    return idDestination;
  }

  public HotelForm()
  {
  }
}
