package ch.sws.tasaf.client;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import ch.sws.tasaf.bo.vo.HotelVO;
import java.sql.Date;

/**
 * Die Klasse ProgramForm ist die Datenhaltung fr die programm.jsp
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class ProgramForm extends ActionForm
{
  private int index;
  private float costs;
  private HotelVO hotelVO;
  private String[] txfBis = {"", "", "", "", "", "", "", "", "", ""};
  private String[] txfDz = {"", "", "", "", "", "", "", "", "", ""};
  private String[] txfEz = {"", "", "", "", "", "", "", "", "", ""};
  private String[] txfVon = {"", "", "", "", "", "", "", "", "", ""};
  private int[] selectedOptions = null;

  /*******************************************************************************************************************
     G E T T E R -  U N D  S E T T E R - M E T H O D E N  D E R  A C T I O N F O R M
   *******************************************************************************************************************/
  public int getIndex()
  {
    return index;
  }

  public void setIndex( int index )
  {
    this.index = index;
  }

  public int[] getSelectedOptions()
  {
    return selectedOptions;
  }

  public void setSelectedOptions( int[] selectedOptions )
  {
    this.selectedOptions = selectedOptions;
  }

  public float getCosts()
  {
    return costs;
  }

  public void setCosts( float costs )
  {
    this.costs = costs;
  }

  public String[] getTxfBis()
  {
    return txfBis;
  }

  public void setTxfBis( String[] txfBis )
  {
    this.txfBis = txfBis;
  }

  public String[] getTxfDz()
  {
    return txfDz;
  }

  public void setTxfDz( String[] txfDz )
  {
    this.txfDz = txfDz;
  }

  public String[] getTxfEz()
  {
    return txfEz;
  }

  public void setTxfEz( String[] txfEz )
  {
    this.txfEz = txfEz;
  }

  public String[] getTxfVon()
  {
    return txfVon;
  }

  public HotelVO getHotelVO()
  {
    return hotelVO;
  }

  public void setTxfVon( String[] txfVon )
  {
    this.txfVon = txfVon;
  }

  public void setHotelVO( HotelVO hotelVO )
  {
    this.hotelVO = hotelVO;
  }

  public String getTxfVonInd(int index)
 {
   return txfVon[index];
 }

 public void setTxfVonInd(int index, String value)
 {
     txfVon[index] = value;
 }

 public String getTxfBisInd(int index)
 {
  return txfBis[index];
 }

 public void setTxfBisInd(int index, String value)
 {
    txfBis[index] = value;
 }


 public String getTxfEzInd(int index)
 {
   return txfEz[index];
 }

 public void setTxfEzInd(int index, String value)
 {
     txfEz[index] = value;
 }

 public String getTxfDzInd(int index)
 {
   return txfDz[index];
 }

 public void setTxfDzInd(int index, String value)
 {
     txfDz[index] = value;
 }


  /**
   * Diese Methode prft die eingegeben Daten auf der JSP und fgt diese im Fehlerfall in die
   * ActionErrors.
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   * @return ActionErrors
   */
  public ActionErrors validate( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
    return null;
  }

  /**
   * Diese Methode setzt die Eingabedaten auf der JSP zurck in den Defaultwert
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   */
  public void reset( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
//    index = 0;
//    selectedOptions = null;
//    costs = 0.0f;
//    hotelVO = null;
//    txfBis = null;
//    txfDz = null;
//    txfEz = null;
//    txfVon = null;
  }
}
