package ch.sws.tasaf.test;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import ch.sws.tasaf.bo.vo.CountryVO;
import ch.sws.tasaf.db.CountryDAO;

public class DatabaseTest
{
  public DatabaseTest()
  {
    List countryList = new ArrayList();
    CountryDAO countryDAO = new CountryDAO();

    try
    {
      printCountryList( countryList = countryDAO.select() );
    }
    catch ( SQLException sqlex )
    {
      System.out.println( "SQLException: " + sqlex.getMessage() );
    }
  }

  private void printCountryList( List countryList )
  {
    System.out.println( "Grsse der countryList : " + countryList.size() );

    Iterator iter = countryList.iterator();
    while ( iter.hasNext() )
    {
      CountryVO countryVO = ( CountryVO ) iter.next();
      System.out.println( countryVO.getCountryCd() + " - " + countryVO.getCountry() );
    }
  }

  public static void main( String[] args )
  {
    DatabaseTest dbTest = new DatabaseTest();
  }

}
